> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a feature (offering)

> Define a new Feature (Offering) in your subscription catalog.



## OpenAPI

````yaml /swagger/openapi-billing.json post /feature/create
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /feature/create:
    post:
      tags:
        - PricePoints
      summary: Create a feature (offering)
      description: Define a new Feature (Offering) in your subscription catalog.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeatureCreateIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ok200'
components:
  schemas:
    FeatureCreateIn:
      properties:
        ident:
          description: Unique identifier for this feature
          maxLength: 256
          pattern: ^[-A-Za-z_0-9]{1,256}$
          title: Feature identifier
          type: string
        feature_type:
          $ref: '#/components/schemas/FeatureTypeEnum'
      required:
        - ident
        - feature_type
      title: FeatureCreateIn
      type: object
    Ok200:
      properties: {}
      title: Ok200
      type: object
    FeatureTypeEnum:
      enum:
        - timebased
        - lifetime
        - consumable
      title: FeatureTypeEnum
      type: string
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````